Loading...
Searching...
No Matches
gx_engine::ContrastConvolver Class Reference

`#include <gx_internal_plugins.h>`

Inheritance diagram for gx_engine::ContrastConvolver:

## Public Member Functions

| ContrastConvolver (EngineControl &engine, sigc::slot< void > sync, gx_resample::BufferResampler &resamp)
| ~ContrastConvolver ()
Public Member Functions inherited from gx_engine::FixedBaseConvolver
| FixedBaseConvolver (EngineControl &engine, sigc::slot< void > sync, gx_resample::BufferResampler &resamp)
virtual | ~FixedBaseConvolver ()
void | set_sync (bool val)

## Private Member Functions

void | update_sum ()
virtual void | check_update () override
bool | do_update ()
bool | sum_changed ()
virtual bool | start (bool force=false) override

## Static Private Member Functions

static void | run_contrast (int count, float *input, float *output, PluginDef *)
static int | register_con (const ParamReg &reg)

## Private Attributes

float | level
float | sum
presence_level::Dsp | presl
gx_resample::FixedRateResampler | smp

## Additional Inherited Members

Public Attributes inherited from gx_engine::FixedBaseConvolver
Plugin | plugin
Protected Member Functions inherited from gx_engine::FixedBaseConvolver
unsigned int | getSamplingFreq ()
void | change_buffersize (unsigned int)
int | conv_start ()
bool | check_update_timeout ()
Static Protected Member Functions inherited from gx_engine::FixedBaseConvolver
static void | init (unsigned int samplingFreq, PluginDef *p)
static int | activate (bool start, PluginDef *pdef)
Protected Attributes inherited from gx_engine::FixedBaseConvolver
GxSimpleConvolver | conv
boost::mutex | activate_mutex
EngineControl & | engine
sigc::slot< void > | sync
bool | activated
unsigned int | SamplingFreq
unsigned int | buffersize
unsigned int | bz
sigc::connection | update_conn
Protected Attributes inherited from PluginDef
int | version
int | flags
const char * | id
const char * | name
const char ** | groups
const char * | description
const char * | category
const char * | shortname
process_mono_audio | mono_audio
process_stereo_audio | stereo_audio
inifunc | set_samplerate
activatefunc | activate_plugin
registerfunc | register_params
uiloader | load_ui
clearstatefunc | clear_state
deletefunc | delete_instance

## Detailed Description

Definition at line 642 of file gx_internal_plugins.h.

## Constructor & Destructor Documentation

## ContrastConvolver()

gx_engine::ContrastConvolver::ContrastConvolver | ( | EngineControl & | engine,
|  | sigc::slot< void > | sync,
|  | gx_resample::BufferResampler & | resamp )

## ~ContrastConvolver()

gx_engine::ContrastConvolver::~ContrastConvolver | ( |  | ) |

## Member Function Documentation

## check_update()

virtual void gx_engine::ContrastConvolver::check_update | ( |  | ) |

override private virtual

Implements gx_engine::FixedBaseConvolver.

## do_update()

bool gx_engine::ContrastConvolver::do_update | ( |  | ) |

private

## register_con()

int gx_engine::ContrastConvolver::register_con | ( | const ParamReg & | reg | ) |

static private

## run_contrast()

void gx_engine::ContrastConvolver::run_contrast | ( | int | count,
|  | float * | input,
|  | float * | output,
|  | PluginDef * | )

static private

## start()

virtual bool gx_engine::ContrastConvolver::start | ( | bool | force = false | ) |

override private virtual

Implements gx_engine::FixedBaseConvolver.

## sum_changed()

bool gx_engine::ContrastConvolver::sum_changed | ( |  | ) |

inline private

Definition at line 653 of file gx_internal_plugins.h.

## update_sum()

void gx_engine::ContrastConvolver::update_sum | ( |  | ) |

inline private

Definition at line 650 of file gx_internal_plugins.h.

## Member Data Documentation

## level

float gx_engine::ContrastConvolver::level

private

Definition at line 644 of file gx_internal_plugins.h.

Referenced by sum_changed(), and update_sum().

## presl

presence_level::Dsp gx_engine::ContrastConvolver::presl

private

Definition at line 646 of file gx_internal_plugins.h.

## smp

gx_resample::FixedRateResampler gx_engine::ContrastConvolver::smp

private

Definition at line 647 of file gx_internal_plugins.h.

## sum

float gx_engine::ContrastConvolver::sum

private

Definition at line 645 of file gx_internal_plugins.h.

Referenced by sum_changed(), and update_sum().

The documentation for this class was generated from the following file:

- src/headers/gx_internal_plugins.h